Download it now!
Bug 103885 - Particular OGG video can't be played in GTK2/GTK3
Summary: Particular OGG video can't be played in GTK2/GTK3
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Media-Playback
  Show dependency treegraph
 
Reported: 2016-11-12 12:01 UTC by Xisco Faulí
Modified: 2019-03-16 11:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-12 12:01:07 UTC
Steps to reproduce:
1. Open attachment 128618 [details] in GTK2
2. Select the video
3. Click on play on the sidebar

Observed behavior: Video isn't played. video is played correctly in GTK3

Reproduced in 

Version: 5.3.0.0.alpha1+
Build ID: 60da087d7e182b58b63d4123c9bd96c82376d450
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)
Comment 1 Xisco Faulí 2016-11-12 12:21:28 UTC
it looks in GTK3 the video can be played only once
Comment 2 Yousuf Philips (jay) (retired) 2016-11-12 20:06:55 UTC
Confirmed that it shows image preview and doesnt play on gtk2 git build of master or Ubuntu Mate 16.04's LO 5.1.4.2. With git gtk3 backend, it plays only once.

Version: 5.3.0.0.alpha1+
Build ID: d34a8993e3b3200de10d20990d14dc9288d8d6c7
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

With tdf build, it doesnt show the image preview and pressing play opens a new video playback window and the video doesnt play. Closing the playback window and then impress causes LO to hang.

Version: 5.3.0.0.alpha0+
Build ID: 619e74ccb0e97b0ea12ae11c5b36084706d5002e
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-15_02:24:39
Locale: en-US (en_US.UTF-8); Calc: group
Comment 3 MM 2016-11-19 19:44:22 UTC
Also doesn't play on:

Version: 5.2.3.3 (x64)
Build ID: d54a8868f08a7b39642414cf2c8ef2f228f780cf
CPU Threads: 2; OS Version: Windows 6.19; UI Render: default; 
Locale: en-US (en_US); Calc: single

Seeing a big questionmark and nothing happens when pressing play.
So it's not only gtk builds that don't work.
Comment 4 Yousuf Philips (jay) (retired) 2017-04-27 20:31:32 UTC
So i tested the file in VLC and Totem and it played fine. So there must be some issue with that particular ogg video file as the ogg video file i converted with ffmpeg for testing all codecs on various OSes works fine.

https://drive.google.com/open?id=0B6qJrVIa0SAldE0tZG81UHFsWVk

https://wiki.documentfoundation.org/Media_Support/Linux/Video_Tests#Video:_4.3.5-ubuntu
Comment 5 Heiko Tietze 2017-04-28 11:59:28 UTC
When I start the presentation it opens mplayer, which I run on my system as video player.

Version: 5.3.2.2
Build ID: 5.3.2-1
CPU Threads: 8; OS Version: Linux 4.10; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: en-US (C); Calc: group
Comment 6 QA Administrators 2018-04-29 02:30:28 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug